/*	Sample program for Olimex AVR-P40 with ATMega16 processor
 *	Blinks the led using a simple delay loop.
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6)*/

#define	__AVR_AT90S8515__	1

#include "avr/io.h"

void PORT_Init()
{
	PORTB = 0b00000000;
	DDRB  = 0b00000001;			//set Led as output (Bit0 = 1)
}

int main()
{
	unsigned int i;
	PORT_Init();
	while (1)
	{
		if (PINB & 0b00000001)		//check current state of the led and switch it
			PORTB = PORTB & 0b11111110;
		else
			PORTB = PORTB | 0b00000001;

		for (i=50000; i; i--);
	}
}
